# htmldom.dev

## Story

Web development goes very fast. I still remember the moments when starting to use [jQuery](https://jquery.com), [Prototype](http://prototypejs.org),
[script.aculo.us](https://script.aculo.us), [Zepto](https://zeptojs.com) and many more.

Nowadays, even if our application is powered by mordern tools such as Angular, Vue, React, Svelte, .etc, we have to deal with DOM.
The frameworks encapsulate and hide the DOM management directly, but still give us a door to work with DOM via _ref_, _event handlers_.

If you develop or use a web component in any framework, you have to work with DOM at a certain level.

Knowing the browser DOM APIs and how to use them play an important role in web development.
A website introducing the APIs, well-known problems, most popular questions could be very useful.

## Features

* [x] No external library. Only native browsers' APIs
* [x] Small and easy to understand examples
* [x] Live demos
* [x] Many tips and good practices included
* [x] Many real use cases
* [x] Work with the modern browsers. _Try to support IE 11_


## Running it on local

1. Clone the project:

~~~ console
$ git clone https://github.com/phuoc-ng/html-dom
~~~

2. Install the dependencies:

~~~ console
$ cd html-dom
$ npm install
~~~

3. Run it on the local:

~~~ console
$ npm run dev-server
~~~

Open http://localhost:1234 in your browser to see it in action.

## Contributing

Pull requests are welcomed. If you see any problem with the example on your browser, please let me know by creating an issue or submit a pull request.

## About

This project is developed by _Nguyen Huu Phuoc_. I love building products and sharing knowledge.

Be my friend on
* [Twitter](https://twitter.com/nghuuphuoc)
* [dev.to](https://dev.to/phuocng)
* [Github](https://github.com/phuoc-ng)

## Products

You might be interested in my products:

| Product                                               | Description                                                       |
|-------------------------------------------------------|-------------------------------------------------------------------|
| 01. [1 LOC](https://1loc.dev)                         | Favorite JavaScript utilities in single line of code              |
| 02. [Blur Page](https://blur.page)                    | A browser extension to hide sensitive information on a web page   |
| 03. [CSS Layout](https://csslayout.io)                | A collection of popular layouts and patterns made with CSS        |
| 04. [Fake Numbers](https://fakenumbers.io)            | Generate fake and valid numbers                                   |
| 05. [Form Validation](https://formvalidation.io)      | The best validation library for JavaScript                        |
| 06. [HTML DOM](https://htmldom.dev)                   | How to manage HTML DOM with vanilla JavaScript                    |
| 07. [React PDF Viewer](https://react-pdf-viewer.dev)  | A React component to view a PDF document                          |
